@ECHO OFF
REM *****************************************************************
REM
REM WORKPOOLBACK.cmd - A commandline wrapper for Workpool backups, using rsync
REM By WorkPool Support (2013)
REM
REM This system is based on cwRsync By Tevfik K. (http://itefix.no)
REM Please see the license.txt for licensing details.
REM *****************************************************************

SETLOCAL
SET CWRSYNCHOME=C:\CWRSYNC
SET CYGWIN=nontsec
SET HOME=%HOMEDRIVE%%HOMEPATH%
SET CWOLDPATH=%PATH%
SET PATH=%CWRSYNCHOME%\BIN;%PATH%

REM ####################################
REM # Please edit these details as required
REM ####################################

SET WORKPOOL_SERVER=192.168.1.118
SET DESTINATION="C:\workpoolbackups"

REM ####################################

for /f "delims=" %%a in ('cygpath %DESTINATION%') do @set CYGDEST=%%a

IF exist %DESTINATION%\ ( echo %DESTINATION% exists ) ELSE ( mkdir %DESTINATION% && echo DESTINATION% created)
IF exist %DESTINATION%\database\ ( echo %DESTINATION%\database exists ) ELSE ( mkdir %DESTINATION%\database && echo %DESTINATION%\database created)
IF exist %DESTINATION%\datafiles ( echo %DESTINATION%\datafiles exists ) ELSE ( mkdir %DESTINATION%\datafiles && echo %DESTINATION%\datafiles created)
IF exist %DESTINATION%\logs\ ( echo %DESTINATION%\logs exists ) ELSE ( mkdir %DESTINATION%\logs && echo %DESTINATION%\logs created)

rsync -rvut --stats %WORKPOOL_SERVER%::datafiles/ %CYGDEST%/datafiles/ --log-file=%CYGDEST%/logs/datafiles.daily.log
rsync -rvut --stats %WORKPOOL_SERVER%::database/ %CYGDEST%/database/ --log-file=%CYGDEST%/logs/database.daily.log
